Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Asset
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
        POST
      • Update Asset
        POST
      • Get Employee Assets
        GET
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
      GET
    • Get Passengers
      GET
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
      • GetAchievementEventsAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
    • StampCard
      • GetStampCardsAsync
      • GetStampCardDetailAsync
      • AddStampAsync
    • Celebration
      • GetCelebrationUpcoming
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Asset

Get Employee Assets

GET
https://api.gofive.co.th/empeo/api/v1/assets/employee

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/assets/employee?EmployeeRefId=undefined&CompanyName=' \
--header 'Ocp-Apim-Subscription-Key;' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "OK",
    "totals": 1,
    "data": [
        {
            "name": "Logitech mouse",
            "code": "A240600037",
            "serialNo": null,
            "cost": 560,
            "remark": "",
            "hasWarranty": false,
            "monthOfWarranty": null,
            "datePurchase": null,
            "isCommon": true,
            "isActive": false,
            "attachmentURL": "https://dev.tks.co.th/empeoAPI/api/Service/GenerateAttachmentUrl/?path=Tenant/28391ad0-b221-4c93-8724-d9f370a8b1ac/AssetsManagementAttachmentFile/0/a849ee14-e30c-45ca-a8c4-4ed4210a8c71.png&type=image/png&encryptionKey=3TR2ECOmHgBNkAbkpMXRCl2YK2RrwjHPQ2cC8XGzBro=",
            "categoryId": 0,
            "categoryName": "อุปกรณ์ไอที",
            "categoryNameEN": "IT equipments",
            "branchName": null,
            "branchNameEN": null,
            "ownerEmployeeRefId": "99999",
            "ownerEmployeeName": "สมหมาย หมายปอง",
            "ownerEmployeeNameEN": "User Mos ZA008",
            "dateAssigned": "2024-07-01T16:00:27.1467285",
            "statusId": 60001,
            "statusName": "ส่วนกลาง",
            "statusNameEN": "Common",
            "tagNames": null,
            "createdBy": "[email protected]",
            "dateCreated": "2024-06-25T13:15:05.3364876",
            "modifiedBy": "[email protected]",
            "dateModified": "2024-07-27T22:46:58.16"
        }
    ]
}
Modified at 2026-04-28 10:40:04
Previous
Update Asset
Next
Get Employee
Built with